/********************************************************************

Module: TiTopLevelWindow

Author: Vince Harron

Description:

Top level window class

Copyright 2006 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#include "TiTopLevelWindow.h"
#include "TiApp.h"

TiTopLevelWindow::TiTopLevelWindow( TiApp* pApp ):
TiWindow(pApp)
{
  mpApp->TopLevelAdd( this );
}

TiTopLevelWindow::TiTopLevelWindow( TiWindow* pParent ):
TiWindow(pParent)
{
  mpApp->TopLevelAdd( this );
}

TiTopLevelWindow::~TiTopLevelWindow(void)
{
  mpApp->TopLevelRemove( this );
}
